SD card not accessible(checked via Gallery app)

Reported by Abhishek Paliwal on 2011-11-28
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Linaro Android
High
Kejun ZHOU
linaro-landing-team-arm
Fix Released
High
Tixy (Jon Medhurst)

Bug Description

SD card is not accessible.
Test : Open Gallery app - Message shown "No external storage available"

Build:
https://android-build.linaro.org/builds/~linaro-android/tracking-panda/#build=77
and
https://android-build.linaro.org/builds/~linaro-android/staging-snowball/#build=90

description: updated
summary: - Tracking Panda: SD card not accessible
+ SD card not accessible(checked via Gallery app)
Changed in linaro-android:
importance: Undecided → High
description: updated
Tixy (Jon Medhurst) (tixy) wrote :

The same problem was fixed on vexpress by using this patch: http://android.git.linaro.org/gitweb?p=platform/system/vold.git;a=commit;h=21d39989c4b9aa5707a779265a2783aa6c2e5677

I don't know how to go about getting that into ICS, there doesn't appear to be a linaro_andoid_4.0.1 branch in vold.

Tixy (Jon Medhurst) (tixy) wrote :

I have committed the patch to vold which increase the maximum number of partitions to 8, see
http://android.git.linaro.org/gitweb?p=platform/system/vold.git;a=commit;h=580eb3e00cd1209a5cb75a8e67d28808a25b20a1

On the Versatile Express board I have a /etc/vold.fstab file, which mounts the sdcard partition and this now works correctly. Other devices may not have this (snowball doesn't), so this bug is probably not fixed on those boards.

I notice that the ti/panda device doesn't use a vold.fstab, instead it seems to create a virtual sdcard in /data/media (see init.omap4pandaboard.rc). I don't know if this is the new preferred way of emulating sdcard in ICS?

Tixy (Jon Medhurst) (tixy) wrote :
Changed in linaro-landing-team-arm:
assignee: nobody → Tixy (Jon Medhurst) (tixy)
importance: Undecided → High
milestone: none → 2011.12
status: New → Fix Committed
Changed in linaro-landing-team-arm:
status: Fix Committed → Fix Released
Botao Sun (botao-sun) wrote :

For iMX53 11.12 final RC: https://android-build.linaro.org/builds/~linaro-android/staging-imx53-11.12-release/#build=7

I can enter the "/sdcard" directory, and even can create a file there. But I can't test this because there is totally no display out. My monitor always shows "no signal" after I connected it to the iMX53 board with the VGA cable.

Use busybox vi test.txt to ceate a file named test.txt:

root@android:/sdcard # pwd
/sdcard
root@android:/sdcard # ls -l
-rw-rw-rw- root log 1 1970-01-04 11:34 test.txt
root@android:/sdcard #

On Mon, 2011-12-19 at 10:50 +0000, Botao Sun wrote:
> For iMX53 11.12 final RC: https://android-build.linaro.org/builds
> /~linaro-android/staging-imx53-11.12-release/#build=7
>
> I can enter the "/sdcard" directory, and even can create a file there.
> But I can't test this because there is totally no display out. My
> monitor always shows "no signal" after I connected it to the iMX53 board
> with the VGA cable.
>
> Use busybox vi test.txt to ceate a file named test.txt:
>
> root@android:/sdcard # pwd
> /sdcard
> root@android:/sdcard # ls -l
> -rw-rw-rw- root log 1 1970-01-04 11:34 test.txt
> root@android:/sdcard #
>

Just creating a file might succeed even if the card isn't mounted, you
would just be writing a file to the directory where the mount should be.

A better test to see if sdcard is mounted is with the "df" command and
see if a filesystem on /mnt/sdcard is listed.

--
Tixy

I just fixed this in landing-snowball for both 4.0.1 and 4.0.3.

Gerrit change-Id: I6c15cebb983ee8b9261d07f9444101a96e2d9dcd

Tony Mansson (tony-mansson) wrote :

Also observed in https://android-build.linaro.org/builds/~linaro-android/landing-snowball-12.01-release/#build=5

/mnt/sdcard is accessible from console and has a number of subdirectories e.g. Music.. But even when populating these directories with .jpg- and .mp3 files, they are not discovered by neither Gallery nor Music app.

Zach Pfeffer (pfefferz) on 2012-01-30
Changed in linaro-android:
assignee: nobody → Kejun ZHOU (kejun-zhou)
milestone: none → 12.02
assignee: Kejun ZHOU (kejun-zhou) → Patrik Ryd (patrik-ryd)
Zach Pfeffer (pfefferz) on 2012-01-30
Changed in linaro-android:
assignee: Patrik Ryd (patrik-ryd) → Chengjie HE (chengjie-he)

Also happens on imx6 12.02

Zach Pfeffer (pfefferz) wrote :

Moving to 12.03.

Changed in linaro-android:
assignee: Chengjie HE (chengjie-he) → Kejun ZHOU (kejun-zhou)
milestone: 12.02 → 12.03
Kejun ZHOU (kejun-zhou) wrote :

Start fixing the bug on 29-Feb-2012.

Changed in linaro-android:
status: New → In Progress
Kejun ZHOU (kejun-zhou) on 2012-03-09
Changed in linaro-android:
status: In Progress → Fix Committed
Kejun ZHOU (kejun-zhou) wrote :

The bug is fixed at Mar-9-2012.

Please check this gerrit link:

http://review.android.git.linaro.org/1568

Or the patch in the attachment.

Issue:
The picture review is not stable in gallery. As there is some features of libEGL has not been implemented yet.

E/libEGL ( 2346): called unimplemented OpenGL ES API

Further:
This patch also solves the bug of the SD usage information missing issue in "Setting->Storage".

BRs,
Kejun ZHOU

Tony Mansson (tony-mansson) wrote :

This bug report is misleading. Also the associated test case "sd-mmc". The original report was about the partition not being mounted or visible and the Gallery app just a way to check that.

Now when the partition is visible and files can be found by "ls" in the console - it turns out that (in at least one case) the Gallery app can't show anything anyway.

Observed on https://android-build.linaro.org/builds/~linaro-android/panda-ics-gcc44-kwg-upstream-open-12.03-release/#build=3

Files are there and seen by Linux:
root@android:/mnt/sdcard/Pictures # ll
----rwxr-x system sdcard_rw 3337988 2012-01-08 10:03 20120108-110319.jpg

But no pictures show up in Gallery.

This bug report should NOT be used when Gallery fails.

I will open a separate bug just for Gallery and relate a failed test case "gallery-app" for that bug.

Botao Sun (botao-sun) wrote :

Observed on:

https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc46-freescalelt-stable-open-12.03-release/#build=5

After clicked the "Gallery", I got "No external storage available". And there is nothing under the path "/mnt/sdcard":

root@android:/mnt/sdcard # pwd
/mnt/sdcard
root@android:/mnt/sdcard # ls -la
root@android:/mnt/sdcard #

Fixed on iMX6 12.03

Zach Pfeffer (pfefferz) on 2012-03-30
Changed in linaro-android:
status: Fix Committed → Fix Released
Botao Sun (botao-sun) wrote :

For iMX53, observed on:

https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc46-freescalelt-stable-open-12.04-release/#build=3

After ran "df" in serial console, I got:

root@android:/ # df
Filesystem Size Used Free Blksize
/dev 468M 44K 468M 4096
/mnt/asec 468M 0K 468M 4096
/mnt/obb 468M 0K 468M 4096
/system 503M 318M 184M 4096
/cache 247M 6M 241M 1024
/data 495M 50M 445M 1024

After launched "Gallery" app, I got a pop up window:

No Storage!
No external storage available.

Guodong Xu (guodong-xu) on 2012-04-16
tags: added: imx53
Guodong Xu (guodong-xu) wrote :

Bero,

Noticed that you fixed this issue on i.MX6. Can you also do the same fix on i.MX53 Android?

For landing team's concern, in kernel level, SD card is supported well in i.MX53, and I can manually mount SD card partitions well. Like: # mount /dev/mmcblk0p2 <mnt.point>

Thanks.

>>>
Bernhard Rosenkraenzer (berolinux) wrote on 2012-03-27: #24
Fixed on iMX6 12.03

Botao Sun (botao-sun) wrote :

Observed on:

https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc47-freescalelt-stable-open-12.04-release/#build=1

According to the test case:

https://wiki.linaro.org/Platform/QA/TestCases/Android#sd-mmc

No SD card partition mounted:

root@android:/ # df
Filesystem Size Used Free Blksize
/dev 468M 44K 468M 4096
/mnt/asec 468M 0K 468M 4096
/mnt/obb 468M 0K 468M 4096
/system 503M 337M 166M 4096
/cache 247M 6M 241M 1024
/data 495M 50M 445M 1024

Zach Pfeffer (pfefferz) wrote :

This actually works fine on https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc47-freescalelt-stable-open-12.05-release/#build=2. I suspect that the previous results were due to not putting an SD card into the SD.MMC slot. I verified that I could open images on /dev/sdcard.

Changed in linaro-landing-team-freescale:
status: New → Fix Released
Zach Pfeffer (pfefferz) wrote :

Updated https://wiki.linaro.org/Platform/QA/TestCases/Android with new instructions for iMX53.

Botao Sun (botao-sun) wrote :

Yes, the SD card can be mounted there after inserted it to the MMC slot. However, the Gallery still can't recognize the pictures and audios I put on it. Do I miss anything?

Botao Sun (botao-sun) wrote :

For iMX53, on build:

https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc47-freescalelt-stable-open-12.05-release/#build=3

The picture on SD card can be finally recognized, however, the video files still can't be discovered.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers